Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I have installed xenomai 2.4.8 in Ubuntu 11.04 with this command:

apt-get install libxenomai-dev

Now I want test a simple vxWorks program, but when I compile my program, I receive this message:

Xenomai: vxworksskin or CONFIG_XENO_OPT_PERVASIVE disabled
(modprobe xeno_vxworks?)

...and the output of modprobe xeno_vxworks is:

FATAL: Module xeno_vxworks not found

My question is, how can I eanble the xeno_vxworks module?

I am new to Xenomai so please forgive me if my question is silly.

share|improve this question
add comment

1 Answer

You installed the xenomai software development libraries, not the xenomai packages themselves. More importantly, a quick check of the xenomai site indicates that you need to compile a kernel module (probably xeno-vxworks) and add it to your kernel before it can work.

The instructions here are for Debian rather than ubuntu, but they should at least point you in the right direction.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.